#pragma once

#include <util/generic/singleton.h>
#include <util/generic/string.h>
#include <util/string/subst.h>

#include <wmconsole/version3/library/conf/yt.h>

#include <wmconsole/version3/wmcutil/yt/yt_utils.h>

namespace NWebmaster {

struct TCommonYTConfigIndexing {
    static TCommonYTConfigIndexing &Instance() {
        return *Singleton<TCommonYTConfigIndexing>();
    }

    static const TCommonYTConfigIndexing &CInstance() {
        return Instance();
    }

    TCommonYTConfigIndexing() {
        TABLE_SOURCE_JUPITER_FASTBAN    = "//home/lemur-data/jupiter-fast-ban/ban_wmc";
        TABLE_SOURCE_TURBO_PAGE         = "//home/webmaster/prod/import/turbo/turbo_search_urls";
    }

public:
    TString TABLE_SOURCE_JUPITER_FASTBAN;
    TString TABLE_SOURCE_TURBO_PAGE;
};

} //namespace NWebmaster
